Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00940 Graphics Minor Have not tried Feb 7, 2008, 10:33 Sep 7, 2018, 10:34
Tester -Misc Reporters- View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver tsamurai.cpp
Version 0.37b15 Fixed in Version 0.172 Build
Summary 00940: m660: Graphic problem.
Description After you start new game and after first wave of enemies passes. Second wave of enemies comes (pink ones like triangles), now depending where you are they will leave the screen (if you don't kill them ) left or right, but no matter where they exit the screen on the left part of the screen some dots appear while they are exiting for some time and then disappear.
Steps To Reproduce
Additional Information Posted by Gmitra / DCisTHEbest
Flags
Regression Version 0.37b9
Affected Sets / Systems m660
Attached Files
png file icon m66037b15gre.png (1,342 bytes) Feb 14, 2008, 17:41
png file icon 0002.PNG (13,409 bytes) Mar 21, 2008, 17:14
png file icon 0005.png (17,382 bytes) Mar 21, 2008, 17:15
png file icon 0012.png (8,074 bytes) Mar 21, 2008, 17:15
png file icon 0000.PNG (2,823 bytes) Mar 21, 2008, 17:17
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.00302
Hebus
Tester
Mar 21, 2008, 17:14
The game exibit this issue severals times untill the end.
Reproducibility is always with 123u6
Same behaviour for the clones m660b, m66j.
alphaxz doesn't show this.

I have also seen garbage during attract mode on the middle left of the screen. All clones are affected. alphaxz have also garbage in the left top corner.
See pictures... but it's more revelant launching the games.

I have also seen that the ship is still visible below the hiscore display at each end of stage, you can even move it. Strange behaviour ?
User avatar
No.15417
MetalGod
Tester
Sep 6, 2018, 18:28
edited on: Sep 6, 2018, 18:29
I've tested this game in Mame 0.201, trying to reproduce all the bugs Hebus described and I can confirm that these old bugs no longer exist.

No garbage on screen after the second wave of pink triangled enemies passes, no garbage on screen on attract mode on this game or any of the clones... and the ship behaves correctly after each end of stage, it surpass the Hiscore display, disappears and can't be moved. Everything's correct.
User avatar
No.15423
Tafoid
Administrator
Sep 7, 2018, 10:34
Very likely fixed when resolution was changed adjusting the visible area so such leftover sprite bits are not visible when ships leave the screen.
https://github.com/mamedev/mame/commit/2c3d6845706cf29e1abdd42885df947ac4abd15a